Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Order Detail (KEYED)

Applicable for querying contract order detail

Request URL

GET https://cloud-api.wooxpro.com/contract/private/order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/order?symbol=BTCUSDT&order_id=220609666322019
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
order_idStringYesOrder ID
accountStringNoTrading account
-futures
-copy_trading

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220906179895578",
    "client_order_id": "BM123",
    "price": "1",
    "size": "1000",
    "symbol": "BTCUSDT",
    "state": 2,
    "side": 1,
    "type": "limit",
    "position_mode": "hedge_mode",
    "account": "futures",
    "leverage": "5",
    "open_type": "isolated",
    "deal_avg_price": "0",
    "deal_size": "1000",
    "create_time": 1662368173000,
    "update_time": 1662368173000
  },
  "trace": "638d5048-ad21-4a4b-9365-d0756fbfc7ba"
}
FieldTypeDescription
symbolStringSymbol of the contract
order_idStringOrder ID
client_order_idStringClient-defined OrderId (If the field is not defined, a empty string is returned)
sideIntOrder side
hedge mode
-1=buy_open_long
-2=buy_close_short
-3=sell_close_long
-4=sell_open_short
oneway mode
-1=buy
-2=buy(reduce only)
-3=sell(reduce only)
-4=sell
typeStringOrder type
-limit
- market
- liquidate
- bankruptcy
-adl
position_modeStringPosition mode
-hedge_mode
-one_way_mode
accountStringTrading account
-futures
-copy_trading
leverageStringLeverage order multipliers
open_typeStringOpen type
-cross
-isolated
deal_avg_priceStringAverage deal price
deal_sizeStringDeal amount
priceStringConsignment price
sizeStringOrder amount
stateIntOrder status
-1=status_approval
-2=status_check
-4=status_finish
activation_priceStringActivation price, returned at trailing order
callback_rateStringCallback rate, returned at trailing order
activation_price_typeIntActivation price type, returned at trailing order
-1=last_price
-2=fair_price
preset_take_profit_price_typeIntPre-set TP price type
-1=last_price
-2=fair_price
preset_stop_loss_price_typeIntPre-set SL price type
-1=last_price
-2=fair_price
preset_take_profit_priceStringPre-set TP price
preset_stop_loss_priceStringPre-set SL price
create_timeLongOrder created timestamp (ms)
update_timeLongLatest transaction timestamp (ms)